/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SimpleEndpointImpl.java 62536 2011-04-15 16:35:14Z af70133 $ 
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxrpc.sharedwebservices.simpleservice;

import javax.xml.rpc.holders.StringHolder;
import java.rmi.RemoteException;

public class SimpleEndpointImpl implements SimpleEndpoint{
    public String helloWorld() throws RemoteException{
        return "hello world";
    }

    public void oneWayOperation() throws RemoteException {
    }

    public String overloadedOperation(String param) throws RemoteException {
        return param;
    }

    public String overloadedOperation(String param, String param2) throws RemoteException {
        return param + param2;
    }

    public String [] arrayOperation() throws RemoteException{
        return new String []{"one", "two", "three"};
    }

    public SimpleBean getBean() throws RemoteException{
        return new SimpleBean(5, "A String");
    }

    public String arrayOperationFromClient(String [] array) throws RemoteException{
        return "success";
    }

    public String holderOperation(StringHolder holder1, StringHolder holder2) throws RemoteException{
        return "success";
    }
}
